package cn.muchinfo.rma.global.data.database;


import androidx.room.Entity;
import androidx.room.Ignore;

import cn.muchinfo.rma.global.data.GoodsInfoDataBase;

/**
 * Created by simonzhou on 18/3/22.
 * 商品信息
 */
@Entity(tableName = "goods_info")
public class GoodsInfoData extends GoodsInfoDataBase {

    @Ignore
    private boolean hasOrder = false;// 是否有挂单

    @Ignore
    private boolean hasEntrust = false;// 是否有委托单

    public boolean isHasOrder() {
        return hasOrder;
    }

    public void setHasOrder(boolean hasOrder) {
        this.hasOrder = hasOrder;
    }

    public boolean isHasEntrust() {
        return hasEntrust;
    }

    public void setHasEntrust(boolean hasEntrust) {
        this.hasEntrust = hasEntrust;
    }
}
